<?php
/**
 * Customer completed order email (plain text)
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/emails/plain/customer-completed-order.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see https://docs.woocommerce.com/document/template-structure/
 * @package WooCommerce\Templates\Emails\Plain
 * @version 3.7.0
 */

defined( 'ABSPATH' ) || exit;

/**
 * @var string $tracking_link - The URL for tracking the shipment
 * @var string $tracking_number - The tracking number for the shipment
 * @var WC_Order $order - The WooCommerce order object
 * @var string $email_heading - The email heading
 * @var bool $sent_to_admin - Flag indicating if the email is sent to admin (false in this case)
 * @var bool $plain_text - Flag indicating if the email is plain text (false in this case)
 * @var WC_Emails $email - The WooCommerce mailer object
 */

use InspireLabs\WoocommerceInpost\EasyPack;

echo "=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=\n";
echo esc_html( wp_strip_all_tags( $email_heading ) );
echo "\n=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=\n\n";

/* translators: %s: Customer first name */
echo sprintf( esc_html__( 'Hi %s,', 'inpost-international' ), esc_html( $order->get_billing_first_name() ) ) . "\n\n";

echo esc_html__( 'A tracking number has been given for your order. It will soon move on its journey', 'inpost-international' ) . "\n\n";
if( ! empty( $tracking_number ) ) {
	$tracking_full_link = $tracking_link . $tracking_number;
	echo esc_html__( 'Tracking link:', 'inpost-international' ) . "\n\n";
	echo sprintf('<a href="%1$s">%2$s</a>', esc_url( $tracking_full_link ), esc_url( $tracking_full_link ) ) . "\n\n";
}

/*
 * @hooked WC_Emails::order_details() Shows the order details table.
 * @hooked WC_Structured_Data::generate_order_data() Generates structured data.
 * @hooked WC_Structured_Data::output_structured_data() Outputs structured data.
 * @since 2.5.0
 */
do_action( 'woocommerce_email_order_details', $order, $sent_to_admin, $plain_text, $email );

echo "\n----------------------------------------\n\n";

/*
 * @hooked WC_Emails::order_meta() Shows order meta data.
 */
do_action( 'woocommerce_email_order_meta', $order, $sent_to_admin, $plain_text, $email );

/*
 * @hooked WC_Emails::customer_details() Shows customer details
 * @hooked WC_Emails::email_address() Shows email address
 */
do_action( 'woocommerce_email_customer_details', $order, $sent_to_admin, $plain_text, $email );

echo "\n\n----------------------------------------\n\n";

/**
 * Show user-defined additional content - this is set in each email's settings.
 */
if ( isset( $additional_content ) ) {
	echo esc_html( wp_strip_all_tags( wptexturize( $additional_content ) ) );
	echo "\n\n----------------------------------------\n\n";
}

echo wp_kses_post( apply_filters( 'woocommerce_email_footer_text', get_option( 'woocommerce_email_footer_text' ) ) );
